Get a key's value
GET/accounts/{account_id}/storage/kv/namespaces/{namespace_id}/values/{key_name}
Returns the value stored under the specified key in the Workers KV namespace as raw bytes. Use URL-encoding for special characters (for example, :, !, %) in the key name when constructing the request URL. If the key-value pair expires, the expiration response header contains its expiration time in seconds since the UNIX epoch.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Get a key's value
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/storage/kv/namespaces/$NAMESPACE_ID/values/$KEY_NAME \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"